Package org.wso2.carbon.task.ui.internal

## Class TaskManagementHelper

- java.lang.Object
- - org.wso2.carbon.task.ui.internal.TaskManagementHelper

-     public class TaskManagementHelper
      extends Object

  Provide utilities for Task Description Management

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TaskManagementHelper()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static org.apache.synapse.task.TaskDescription` | `createTaskDescription​(javax.servlet.http.HttpServletRequest request)` | Factory method to create a Task Description from HttpServletResuet
    `static DocumentBuilder` | `getSecuredDocumentBuilder​(boolean setIgnoreComments)` | This method provides a secured document builder which will secure XXE attacks.
    `static org.apache.synapse.task.TaskDescription` | `getTaskDescription​(javax.servlet.http.HttpServletRequest request, TaskManagementClient client, String name, String group)` |
    `static List<org.apache.axiom.om.OMElement>` | `mergeProperties​(org.apache.axiom.om.OMElement allPropertyElement, Set<org.apache.axiom.om.OMElement> propertySources)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskManagementHelper

          public TaskManagementHelper()

  - ### Method Detail

    - #### createTaskDescription

          public static org.apache.synapse.task.TaskDescription createTaskDescription​(javax.servlet.http.HttpServletRequest request)
                                                                               throws javax.servlet.ServletException

      Factory method to create a Task Description from HttpServletResuet
      Parameters:
        `request` - HttpServletRequest instance
      Returns:
        A Task Description
      Throws:
        `javax.servlet.ServletException` - Throws for any error during Task Description creation

    - #### getTaskDescription

          public static org.apache.synapse.task.TaskDescription getTaskDescription​(javax.servlet.http.HttpServletRequest request,
                                                                                   TaskManagementClient client,
                                                                                   String name,
                                                                                   String group)
                                                                            throws Exception

      Throws:
        `Exception`

    - #### mergeProperties

          public static List<org.apache.axiom.om.OMElement> mergeProperties​(org.apache.axiom.om.OMElement allPropertyElement,
                                                                            Set<org.apache.axiom.om.OMElement> propertySources)

    - #### getSecuredDocumentBuilder

          public static DocumentBuilder getSecuredDocumentBuilder​(boolean setIgnoreComments)
                                                           throws ParserConfigurationException

      This method provides a secured document builder which will secure XXE attacks.
      Parameters:
        `setIgnoreComments` - whether to set setIgnoringComments in DocumentBuilderFactory.
      Returns:
        DocumentBuilder
      Throws:
        `ParserConfigurationException`